const dialog = require('electron').remote.dialog;

function in_array(needle, haystack)
{
    for (item in haystack) {
        if (haystack[item] === needle) return true;
    }
    return false;
}

function alert(message)
{
    dialog.showErrorBox('Ошибка', message);
}

function info(message)
{
    dialog.showMessageBox({type: 'info', message: message, title: 'Информация', buttons:['Хорошо']});
}

function confirm(message, func)
{
    dialog.showMessageBox({type: 'info', message: message, title: 'Подтвердите действие', buttons:['Согласен','Отмена']}, function(answer){
        if (answer == 0) func();
    });
}

function isJSON(str) {
    try{
        JSON.parse(str);
    }catch (e){
        return false;
    }
    return true;
}
